Index: npl/internetserver/idnkit/idnkit.SlackBuild
===================================================================
--- npl/internetserver/idnkit/idnkit.SlackBuild	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit.SlackBuild	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/idnkit/
+# Created at Fri Jan 20 21:58:01 CET 2017
+
+
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./idnkit.SlackBuild.orig
+
+
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
+
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/idnkit/idnkit.SlackBuild.orig
===================================================================
--- npl/internetserver/idnkit/idnkit.SlackBuild.orig	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit.SlackBuild.orig	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,131 @@
+#!/bin/sh
+
+# Copyright 2011  Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=idnkit
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 2 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) export ARCH=i486 ;;
+    arm*) export ARCH=arm ;;
+    # Unless $ARCH is already set, use uname -m for all other archs:
+       *) export ARCH=$( uname -m ) ;;
+  esac
+fi
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION-src.tar.?z* || exit 1
+cd ${PKGNAM}-$VERSION-src || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+  --prefix=/usr \
+  --libdir=/usr/lib${LIBDIRSUFFIX} \
+  --sysconfdir=/etc \
+  --localstatedir=/var \
+  --mandir=/usr/man \
+  --enable-shared \
+  --disable-static \
+  --build=$ARCH-slackware-linux || exit 1
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Fix library perms:
+chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/*
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Since idnkit appears to work here without configuration files installed,
+# we will only install these as *.sample:
+rm -f $PKG/etc/*.conf
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+  ( cd $PKG/usr/man
+    for manpagedir in $(find . -type d -name "man*") ; do
+      ( cd $manpagedir
+        for eachpage in $( find . -type l -maxdepth 1) ; do
+          ln -s $( readlink $eachpage ).gz $eachpage.gz
+          rm $eachpage
+        done
+        gzip -9 *.* 2> /dev/null
+      )
+    done
+  )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+  INSTALL* LICENSE* NEWS README* \
+  $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+  DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+  cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+  touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
+
Index: npl/internetserver/idnkit/idnkit.arch
===================================================================
--- npl/internetserver/idnkit/idnkit.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+i486
Index: npl/internetserver/idnkit/idnkit.build
===================================================================
--- npl/internetserver/idnkit/idnkit.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+1
Index: npl/internetserver/idnkit/idnkit.md5
===================================================================
--- npl/internetserver/idnkit/idnkit.md5	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit.md5	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,7 @@
+2d7a4baadfc6b45672aa66d9c71f3b21  ./idnkit-1.0-src.tar.xz
+b0bce385fe955d5f8f993b37db8ff82d  ./idnkit_dev.pkg
+b3a9ede592d5110b50266b2045de47bd  ./idnkit.pkg
+fbd1df97acf7a519a32fb0c70ef82903  ./idnkit.SlackBuild
+f63ec2a12181cd08a38f5ba83d2a7bde  ./idnkit.SlackBuild.log.gz
+ce58b459303ce4e2ceab8a0dd87a1f81  ./idnkit.SlackBuild.orig
+6704f8754e1787ba803fa31bcd06b037  ./slack-desc
Index: npl/internetserver/idnkit/idnkit.version
===================================================================
--- npl/internetserver/idnkit/idnkit.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+1.0
Index: npl/internetserver/idnkit/idnkit_dev.arch
===================================================================
--- npl/internetserver/idnkit/idnkit_dev.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit_dev.arch	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+i486
Index: npl/internetserver/idnkit/idnkit_dev.build
===================================================================
--- npl/internetserver/idnkit/idnkit_dev.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit_dev.build	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+1
Index: npl/internetserver/idnkit/idnkit_dev.version
===================================================================
--- npl/internetserver/idnkit/idnkit_dev.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/idnkit_dev.version	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,1 @@
+1.0
Index: npl/internetserver/idnkit/slack-desc
===================================================================
--- npl/internetserver/idnkit/slack-desc	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
+++ npl/internetserver/idnkit/slack-desc	(revision ebc5ae5ec3101368a058d4e61c7386c072e14c00)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+      |-----handy-ruler------------------------------------------------------|
+idnkit: idnkit (Internationalized domain names toolkit)
+idnkit:
+idnkit: idnkit is a toolkit for handling internationalized domain names.
+idnkit: It includes a library for handling internationalized domain names
+idnkit: (libidnkit, libidnkitlite), a codeset conversion utility (idnconv),
+idnkit: and a command which adds IDN dynamically to applications (runidn).
+idnkit:
+idnkit:
+idnkit:
+idnkit: Homepage: http://www.nic.ad.jp/en/idn/
+idnkit:
